commit d55aa0695496bec96daf4d7fb01a91431e0462b5
Author: freddy77 <freddy77>
Date:   Mon Feb 4 07:51:10 2008 +0000

    fix silly memory leak

diff --git a/ChangeLog b/ChangeLog
index 0e5bc0f..8256c3a 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Mon Feb 04 08:49:58 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/tds/convert.c: fix silly memory leak
+
 Thu Jan 21 10:12:42 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/unittests/convert_error.c src/odbc/unittests/genparams.c:
 	- more reuse
@@ -132,4 +135,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2481 2008/01/31 09:13:05 freddy77 Exp $
+$Id: ChangeLog,v 1.2482 2008/02/04 07:51:10 freddy77 Exp $
diff --git a/src/tds/convert.c b/src/tds/convert.c
index fa8dbd1..67ea545 100644
--- a/src/tds/convert.c
+++ b/src/tds/convert.c
@@ -64,7 +64,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: convert.c,v 1.179 2007/12/31 10:06:50 freddy77 Exp $");
+TDS_RCSID(var, "$Id: convert.c,v 1.180 2008/02/04 07:51:11 freddy77 Exp $");
 
 typedef unsigned short utf16_t;
 
@@ -1958,6 +1958,7 @@ string_to_datetime(const char *instr, int desttype, CONV_RESULT * cr)
 
 			tdsdump_log(TDS_DBG_INFO1,
 				    "error_handler:  Attempt to convert data stopped by syntax error in source field \n");
+			free(in);
 			return TDS_CONVERT_SYNTAX;
 		}
 

